private {
    import doodle.core.logging;

    import doodle.dia.tool_layer;
    import doodle.dia.standard_tools;
    import doodle.dia.grid_layer;
    import doodle.dia.page_layer;

    import doodle.gtk.canvas;
    import doodle.gtk.toolbar;

    import gtk.Main;
    import gtk.MainWindow;
    import gtk.VBox;

    import std.stdio;
}

void main(string[] args) {
    /+
    trace("Test trace");
    info("Test trace");
    message("Test trace");
    warning("Test trace");
    error("Test trace");
    fatal("Test trace");
    +/

    Main.init(args);
    auto window = new MainWindow("Doodle");
    auto vbox = new VBox(false, 0);
    auto tool_bar = new ToolBar;
    vbox.packStart(tool_bar, false, false, 0);
    Tool[] tools;
    tools ~= new PanTool;
    tools ~= new ZoomTool;
    tools ~= new LassoTool;
    auto tool_layer = new ToolLayer(tools, "Tools");
    auto grid_layer = new GridLayer("Grid");
    Layer[] layers;
    layers ~= new PageLayer("Page");
    layers ~= grid_layer;
    layers ~= tool_layer;
    auto canvas = new Canvas(layers, tool_layer, grid_layer, 120.0);
    vbox.packStart(canvas, true, true, 0);
    window.add(vbox);
    window.setDefaultSize(380, 380);
    window.showAll();
    Main.run();
}
